cURL
curl --request GET \
--url https://api.concentrate.ai/v1/models/{model}/providers/{provider}import requests
url = "https://api.concentrate.ai/v1/models/{model}/providers/{provider}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.concentrate.ai/v1/models/{model}/providers/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider_slug": "<string>",
"pricing": {
"tokens": {
"input": {
"price": {
"USD": 1
},
"units": 1
},
"output": {
"price": {
"USD": 1
},
"units": 1
},
"reasoning": {
"price": {
"USD": 1
},
"units": 1
},
"tiers": [
{
"above": 123,
"input": {
"price": {
"USD": 1
},
"units": 1
},
"output": {
"price": {
"USD": 1
},
"units": 1
},
"reasoning": {
"price": {
"USD": 1
},
"units": 1
},
"cache": {
"read": {
"price": {
"USD": 1
},
"units": 1
},
"write": {}
}
}
],
"cache": {
"read": {
"price": {
"USD": 1
},
"units": 1
},
"write": {}
}
},
"tool_calls": {
"web_search": {
"price": {
"USD": 1
},
"units": 1
},
"exa_web_search": {
"price": {
"USD": 1
},
"units": 1
}
}
},
"context_window": 1,
"max_output_tokens": 1,
"zdr": false,
"supports": {
"background": false,
"context_management": false,
"conversation": false,
"include": {
"file_search_call.results": false,
"web_search_call.results": false,
"web_search_call.action.sources": false,
"message.input_image.image_url": false,
"computer_call_output.output.image_url": false,
"code_interpreter_call.outputs": false,
"reasoning.encrypted_content": false,
"message.output_text.logprobs": false
},
"input": {
"text": true,
"image": {
"png": false,
"jpg": false,
"webp": false,
"gif": false
},
"file": {
"pdf": false
}
},
"instructions": false,
"max_output_tokens": false,
"max_tool_calls": false,
"metadata": false,
"parallel_tool_calls": false,
"previous_response_id": false,
"prompt": false,
"prompt_cache_breakpoint": false,
"prompt_cache_key": false,
"prompt_cache_options": false,
"prompt_cache_retention": false,
"reasoning": {
"effort": {
"none": false,
"minimal": false,
"low": false,
"medium": false,
"high": false,
"xhigh": false,
"max": false
}
},
"safety_identifier": false,
"store": false,
"stream": false,
"stream_options": {
"include_obfuscation": true
},
"temperature": false,
"text": {
"verbosity": true,
"format": {
"text": true,
"json_schema": true,
"json_object": true
}
},
"tools": {
"function_calling": false,
"web_search": false,
"custom_tools": false
},
"tool_choice": {
"none": false,
"auto": false,
"required": false,
"specific_tool": false,
"allowed_tools": false
},
"top_logprobs": false,
"top_p": false,
"truncation": false,
"user": false
},
"deprecated_at": 123,
"release_date": 123,
"quantization": "<string>",
"baa": false,
"caching": {
"ttl": [
"<string>"
]
},
"image_processing": {
"supported_formats": [
"png"
],
"size_mb": {
"max_total": 123,
"max_per_image": 123
},
"max_images_per_request": 123,
"max_pixels": 123,
"max_dimension": 123
},
"pdf_processing": {
"mode": "native",
"supported_formats": [
"pdf"
],
"size_mb": {
"max_total": 123,
"max_per_file": 123
},
"max_pages_per_request": 123,
"max_files_per_request": 123
}
}{
"error": "Not Found",
"message": "<string>"
}Models API
Get Provider Info
Get provider-specific information for a model
GET
/
v1
/
models
/
{model}
/
providers
/
{provider}
cURL
Overview
Retrieve provider-specific configuration for a model, including pricing per million tokens, context window limits, maximum output tokens, and supported features. Use this endpoint to get precise details about how a specific provider implements a particular model.Authentication
This endpoint does not require authentication. You can call it without an API key.
Path Parameters
One of 781 allowed values.
One of 77 allowed values.
Response
Default Response
One of 26 allowed values.
Show child attributes
Show child attributes
Required range:
x > 0Required range:
x > 0Available options:
false Show child attributes
Show child attributes
Available options:
false Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on February 11, 2026
Was this page helpful?

